Bug Hunting Session
Bug 67653 - Color picker should use 12 columns
Summary: Color picker should use 12 columns
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Ivan Timofeev (retired)
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-02 08:03 UTC by Thomas Arnhold
Modified: 2013-08-20 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
libo color picker (36.80 KB, image/png)
2013-08-02 08:03 UTC, Thomas Arnhold
Details
AOO color picker (59.38 KB, image/png)
2013-08-02 08:03 UTC, Thomas Arnhold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-08-02 08:03:24 UTC
Created attachment 83504 [details]
libo color picker

The color picker is not very intuitive at the moment. The colors seem duplicated and shuffled. At the moment we use 8 columns for colors, we should adapt the AOO 12 column style, because the underlying color palette is the same.
Comment 1 Thomas Arnhold 2013-08-02 08:03:43 UTC
Created attachment 83505 [details]
AOO color picker
Comment 2 Thomas van der Meulen 2013-08-02 18:08:01 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice Version: 4.1.0.4
Build ID: 89ea49ddacd9aa532507cbf852f2bb22b1ace28 on Mac osx 10.8.4. 

the one on AOO looks better yes. 

set to enhencement and new
Comment 3 Adolfo Jayme 2013-08-02 18:13:56 UTC
Agreed. The 12-column layout is much more logical and reduces the popup's height, making it a bit less overwhelming.
Comment 4 Hillar 2013-08-02 18:18:20 UTC
No.
Color picker needs a facelift. Don't change it now. Design team is working on it (Shaping Tentative Design):
https://wiki.documentfoundation.org/Design/Whiteboards/Color_Picker
Comment 5 Thomas Arnhold 2013-08-02 18:28:01 UTC
Hillar: Didn't know about that. Sound great. But for the meantime and for 4-1 wouldn't it be an huge improvement in usability with the 12 column picker? With the note that this will be replaced by a new fancy dialog this should be fine IMHO.
Comment 6 Tin Man 2013-08-03 10:08:40 UTC
We have some sort of design for the picker, but no developer is working on it, so it won't be implemented anytime soon. (The hope was that it would be picked up for GSoC, but it wasn't.)

I agree that a 12-column layout would be an improvement, so let's do that for now.
Comment 7 Ivan Timofeev (retired) 2013-08-18 15:32:31 UTC
Proposed fix: https://gerrit.libreoffice.org/5503
Comment 8 Commit Notification 2013-08-19 13:58:35 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33b631c483e017e9ba9430034eb659f085093944

fdo#67653: Revert "go back to 8 colorvalueset columns"



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Thomas van der Meulen 2013-08-20 07:13:24 UTC
I can confirm that it is fixed in the master of 20 aug 2013, Will this now be implemented in the 4.2 release? If it is maybe you can add it to the release note. 

Thank you for the quick fix :)
Comment 10 Ivan Timofeev (retired) 2013-08-20 14:01:02 UTC
(In reply to comment #9)
> Will this now be implemented in the 4.2 release? 

Yeah, that is what "target:4.2.0" means - target version.

> If it is maybe you can add it to the release note. 

There is always a lot of small bugfixes which aren't mentioned there, like this one for example. :)
Comment 11 retired 2013-08-20 14:14:07 UTC
I don't think this is a minor change that should not be mentioned in the release notes.

The color picker has been ugly and chaotic up till now. The new version isn't the invention of a time machine but still, *many* users will notice this change and sigh in relief.

Add custom colors or themes and this will be huge in 4.2. I think this should be mentioned - it's much more tactile for users than e.g. CoreText and the like.

So +1 for adding this to the release notes and improving it further.
Comment 12 Adolfo Jayme 2013-08-20 19:24:10 UTC
(In reply to comment #11)
> So +1 for adding this to the release notes and improving it further.

You’re free to add this (and any other change you may want to highlight) yourself, it’s a wiki after all :-)